html,
body {
  height: 100%;
  width: 100%;
  margin: 0;
}

:root {
  --sec: #ba9666;
  --first: #D9716F;
}

* {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  text-transform: capitalize;
  text-decoration: none;
}

header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background: #f8f3ed;
  z-index: 1000;
  box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
  margin-bottom: 2rem;
}


section {
  padding: 1rem;
  margin: 0 auto;
  max-width: 1200px;
  overflow-x: hidden;
}

/*arrange the items in the header*/
header .flex {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

html header .flex a {
  box-sizing: border-box;
  font-size: 125%;
}

/*styling the nav bar*/
header .navbar a {
  font-size: 2rem;
  padding: 0 1.5rem;
  color: #666;
}

header .navbar a:hover {
  color: var(--first);
}

header .icons a {
  font-size: 2.5rem;
  color: #333;
  margin-left: 1.5rem;
}

header .icons a:hover {
  color: var(--first);
}

/*styling thr bar for diff. screen*/
header #toggler {
  display: none;
}

header .fa-bars {
  font-size: 3rem;
  color: #333;
  border-radius: .5rem;
  padding: .5rem 1.5rem;
  cursor: pointer;
  display: none;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 15px;
  display: flex;
}

/* Columns */
.left-column {
  width: 65%;
  position: relative;
}

.right-column {
  width: 35%;
  margin-top: 150px;

}


/* Left Column */
.left-column img {
  width: 70%;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
  transition: all 0.3s ease;
}

.left-column :hover {
  transform: scale(1.5);
}


.left-column img.active {
  opacity: 1;
}



/* Right Column */

/* Product Description */
.product-description {
  border-bottom: 1px solid #E1E8EE;
  margin-bottom: 20px;
}

.product-description span {
  font-size: 12px;
  color: #358ED7;
  letter-spacing: 1px;
  text-transform: uppercase;
  text-decoration: none;
}

.product-description h1 {
  font-weight: 300;
  font-size: 52px;
  color: #676b70;
  letter-spacing: -2px;
}

.product-description p {
  font-size: 16px;
  font-weight: 300;
  color: #3b4141;
  line-height: 24px;
}



/*.product-size input[type="select"] + label span {
  display: inline-block;
  width: 40px;
  height: 40px;
  margin: -1px 4px 0 0;
  vertical-align: middle;
  cursor: pointer;
  border-radius: 50%;
}*/


/* Product Price */
.counter {
  width: 1500px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: left;
}

.counter input {
  width: 50px;
  border: 0;
  line-height: 30px;
  font-size: 20px;
  text-align: center;
  background: #D7C9C1;
  color: #fff;
  appearance: none;
  outline: 0;
}

.counter span {
  display: block;
  font-size: 25px;
  padding: 0 10px;
  cursor: pointer;
  color: #080a0c;
  user-select: none;
}

.product-price {
  display: flex;
  align-items: center;
}

.product-price span {
  font-size: 20px;
  font-weight: 300;
  color: #0b0c0e;
  margin-right: 20px;
}

.cart-btn {
  display: inline-block;
  background-color: #D9716F;
  border-radius: 6px;
  font-size: 14px;
  color: #FFFFFF;
  text-decoration: none;
  padding: 12px 30px;
  transition: all .5s;
}

.cart-btn:hover {
  background-color: #64af3d;
}



/* Responsive */
@media (max-width: 940px) {
  .container {
    flex-direction: column;
    margin-top: 60px;
  }

  .left-column,
  .right-column {
    width: 100%;
  }

  .left-column img {
    width: 300px;
    right: 0;
    top: -65px;
    left: initial;
  }
}

@media (max-width: 535px) {
  .left-column img {
    width: 220px;
    top: -85px;
  }
}


/* media queries*/
@media (max-width:991px) {

  html {
    font-size: 55%;
  }

}

@media (max-width:768px) {

  header .fa-bars {
    display: block;
  }

  header .navbar {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background: #eee;
    border-top: .1rem solid rgba(0, 0, 0, .1);
    clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
  }

  header #toggler:checked~.navbar {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
  }

  header .navbar a {
    margin: 1.5rem;
    padding: 1.5rem;
    background: #fff;
    border: .1rem solid rgba(0, 0, 0, .1);
    display: block;
  }


}